package com.ruoyi.business.domain;

import java.math.BigDecimal;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 出库物料明细对象 t_ck_orderdetail
 * 
 * @author wms
 * @date 2022-06-11
 */
@TableName("t_ck_orderdetail")
public class TCkOrderdetail extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 出库单号 */
    @Excel(name = "出库单号")
    @TableField("CK_ID")
    private String ckId;

    /** 原业务单号 */
    @Excel(name = "账户别名id")
    @TableField("BUSINESSID")
    private String businessid;

    /** 商品编号 */
    @Excel(name = "物料编码")
    @TableField("GOOD_ID")
    private String goodId;

    /** 规格 */
    @Excel(name = "账户别名描述")
    @TableField("SPECIFICATION")
    private String specification;

    /** 数量 */
    @Excel(name = "数量")
    @TableField("GOODS_NUM")
    private BigDecimal goodsNum;

    /** 包装数量 */
    @Excel(name = "包装数量")
    @TableField("PAGE_NUM")
    private BigDecimal pageNum;

    /** 商品重量(注：为数量*商品重量) */
    @Excel(name = "商品重量(注：为数量*商品重量)")
    @TableField("WEITH")
    private BigDecimal weith;

    /** 标准价 */
    @Excel(name = "标准价")
    @TableField("PRICE")
    private BigDecimal price;

    /** 重量单位 */
    @Excel(name = "重量单位")
    @TableField("SCALE_UNIT")
    private String scaleUnit;

    /** 商品分类 */
    @Excel(name = "商品分类")
    @TableField("GOODS_TYPE_ID")
    private String goodsTypeId;

    /** 总体积 */
    @Excel(name = "总体积")
    @TableField("TOTAL_VOLUME")
    private BigDecimal totalVolume;

    /** 单位体积 */
    @Excel(name = "单位体积")
    @TableField("GVOLUME")
    private BigDecimal gvolume;

    /** 单位 */
    @Excel(name = "单位")
    @TableField("UNIT")
    private String unit;

    /** 库区编号 */
    @Excel(name = "库区编号")
    @TableField("STORAGE_AREA_ID")
    private String storageAreaId;

    /** 库位编号 */
    @Excel(name = "库位编号")
    @TableField("LOCATION_ID")
    private String locationId;

    /** 已捡货数 */
    @Excel(name = "拣货数量")
    @TableField("PICK_NUM")
    private BigDecimal pickNum;

    /** 已生成运输单的数量 */
    @Excel(name = "已生成运输单的数量")
    @TableField("TR_NUM")
    private BigDecimal trNum;

    /** 托盘号 */
    @Excel(name = "托盘号")
    @TableField("BARCODE")
    private String barcode;

    /** 状态 */
    @Excel(name = "状态")
    @TableField("STATUS")
    private String status;

    /** AGV站台 */
    @Excel(name = "AGV站台")
    @TableField("TO_LOC")
    private String toLoc;

    /** 仓库id */
    @Excel(name = "仓库id")
    @TableField("STORAGE_ID")
    private String storageId;

    /**  */
    @Excel(name = "")
    @TableField("BUY_NUM")
    private BigDecimal buyNum;

    /**  */
    @Excel(name = "")
    @TableField("ORDER_ID")
    private String orderId;

    /**  */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "创建日期", width = 30, dateFormat = "yyyy-MM-dd")
    @TableField("ADDTIME")
    private Date addtime;

    /**  */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "", width = 30, dateFormat = "yyyy-MM-dd")
    @TableField("ENDTIME")
    private Date endtime;

    /** 站台号 */
    @Excel(name = "站台号")
    @TableField("OUT_STAND")
    private String outStand;

    /** 批次号 */
    @Excel(name = "批次号")
    @TableField("PUTIN_ID")
    private String putinId;

    /** 出库类型 0：正常出库 1：报废*/
    @Excel(name = "出库类型")
    @TableField("CK_TYPE")
    private String ckType;

    /** 操作人员姓名 */
    @Excel(name = "操作人员")
    @TableField("USERNAME")
    private String userName;

    public void setCkId(String ckId) 
    {
        this.ckId = ckId;
    }

    public String getCkId() 
    {
        return ckId;
    }
    public void setBusinessid(String businessid) 
    {
        this.businessid = businessid;
    }

    public String getBusinessid() 
    {
        return businessid;
    }
    public void setGoodId(String goodId) 
    {
        this.goodId = goodId;
    }

    public String getGoodId() 
    {
        return goodId;
    }
    public void setSpecification(String specification) 
    {
        this.specification = specification;
    }

    public String getSpecification() 
    {
        return specification;
    }
    public void setGoodsNum(BigDecimal goodsNum) 
    {
        this.goodsNum = goodsNum;
    }

    public BigDecimal getGoodsNum() 
    {
        return goodsNum;
    }
    public void setPageNum(BigDecimal pageNum) 
    {
        this.pageNum = pageNum;
    }

    public BigDecimal getPageNum() 
    {
        return pageNum;
    }
    public void setWeith(BigDecimal weith) 
    {
        this.weith = weith;
    }

    public BigDecimal getWeith() 
    {
        return weith;
    }
    public void setPrice(BigDecimal price) 
    {
        this.price = price;
    }

    public BigDecimal getPrice() 
    {
        return price;
    }
    public void setScaleUnit(String scaleUnit) 
    {
        this.scaleUnit = scaleUnit;
    }

    public String getScaleUnit() 
    {
        return scaleUnit;
    }
    public void setGoodsTypeId(String goodsTypeId) 
    {
        this.goodsTypeId = goodsTypeId;
    }

    public String getGoodsTypeId() 
    {
        return goodsTypeId;
    }
    public void setTotalVolume(BigDecimal totalVolume) 
    {
        this.totalVolume = totalVolume;
    }

    public BigDecimal getTotalVolume() 
    {
        return totalVolume;
    }
    public void setGvolume(BigDecimal gvolume) 
    {
        this.gvolume = gvolume;
    }

    public BigDecimal getGvolume() 
    {
        return gvolume;
    }
    public void setUnit(String unit) 
    {
        this.unit = unit;
    }

    public String getUnit() 
    {
        return unit;
    }
    public void setStorageAreaId(String storageAreaId) 
    {
        this.storageAreaId = storageAreaId;
    }

    public String getStorageAreaId() 
    {
        return storageAreaId;
    }
    public void setLocationId(String locationId) 
    {
        this.locationId = locationId;
    }

    public String getLocationId() 
    {
        return locationId;
    }
    public void setPickNum(BigDecimal pickNum) 
    {
        this.pickNum = pickNum;
    }

    public BigDecimal getPickNum() 
    {
        return pickNum;
    }
    public void setTrNum(BigDecimal trNum) 
    {
        this.trNum = trNum;
    }

    public BigDecimal getTrNum() 
    {
        return trNum;
    }
    public void setBarcode(String barcode) 
    {
        this.barcode = barcode;
    }

    public String getBarcode() 
    {
        return barcode;
    }
    public void setStatus(String status) 
    {
        this.status = status;
    }

    public String getStatus() 
    {
        return status;
    }
    public void setToLoc(String toLoc) 
    {
        this.toLoc = toLoc;
    }

    public String getToLoc() 
    {
        return toLoc;
    }
    public void setStorageId(String storageId) 
    {
        this.storageId = storageId;
    }

    public String getStorageId() 
    {
        return storageId;
    }
    public void setBuyNum(BigDecimal buyNum) 
    {
        this.buyNum = buyNum;
    }

    public BigDecimal getBuyNum() 
    {
        return buyNum;
    }
    public void setOrderId(String orderId) 
    {
        this.orderId = orderId;
    }

    public String getOrderId() 
    {
        return orderId;
    }
    public void setAddtime(Date addtime) 
    {
        this.addtime = addtime;
    }

    public Date getAddtime() 
    {
        return addtime;
    }
    public void setEndtime(Date endtime) 
    {
        this.endtime = endtime;
    }

    public Date getEndtime() 
    {
        return endtime;
    }

    public String getOutStand() {
        return outStand;
    }

    public void setOutStand(String outStand) {
        this.outStand = outStand;
    }

    public String getPutinId() {
        return putinId;
    }

    public void setPutinId(String putinId) {
        this.putinId = putinId;
    }

    public String getCkType() {
        return ckType;
    }

    public void setCkType(String ckType) {
        this.ckType = ckType;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("ckId", getCkId())
            .append("businessid", getBusinessid())
            .append("goodId", getGoodId())
            .append("specification", getSpecification())
            .append("goodsNum", getGoodsNum())
            .append("remark", getRemark())
            .append("pageNum", getPageNum())
            .append("weith", getWeith())
            .append("price", getPrice())
            .append("scaleUnit", getScaleUnit())
            .append("goodsTypeId", getGoodsTypeId())
            .append("totalVolume", getTotalVolume())
            .append("gvolume", getGvolume())
            .append("unit", getUnit())
            .append("storageAreaId", getStorageAreaId())
            .append("locationId", getLocationId())
            .append("pickNum", getPickNum())
            .append("trNum", getTrNum())
            .append("barcode", getBarcode())
            .append("status", getStatus())
            .append("toLoc", getToLoc())
            .append("storageId", getStorageId())
            .append("buyNum", getBuyNum())
            .append("orderId", getOrderId())
            .append("addtime", getAddtime())
            .append("endtime", getEndtime())
            .append("outStand", getOutStand())
            .append("putinId", getPutinId())
            .append("ckType", getCkType())
            .append("userName", getUserName())
            .toString();
    }
}
